// winamp_control
// coded by z0mbie
// http://freenet.am/~zombie
// mailto: zombie@dark.am
//-----------------------------------------------

#include "stdafx.h"

int APIENTRY WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR     lpCmdLine,int       nCmdShow){

	HWND hwnd_winamp;
//	char title[256];
	int res;

	hwnd_winamp=FindWindow("Winamp v1.x",NULL);
	if(hwnd_winamp!=NULL){

		res = SendMessage(hwnd_winamp,WM_WA_IPC,0,IPC_ISPLAYING);
		
		switch(res){

			case 0://not playing
				SendMessage(hwnd_winamp, WM_COMMAND,WINAMP_BUTTON2,0); //play
				break;
					
			case 1://playing
				SendMessage(hwnd_winamp, WM_COMMAND,WINAMP_BUTTON3,0); //pause
				break;

			case 3://paused
				SendMessage(hwnd_winamp, WM_COMMAND,WINAMP_BUTTON3,0); //unpause
				break;

			default: break;

		}
	
	} else { // launch winamp
		HKEY hkey;
		char path[MAX_PATH];
		char winamp_path[MAX_PATH];
		DWORD size=sizeof(path);

		if(RegOpenKeyEx(HKEY_CURRENT_USER,"Software\\Winamp",0,KEY_QUERY_VALUE,&hkey)!=ERROR_SUCCESS) {

			WinExec("c:\\program files\\winamp\\winamp.exe",SW_SHOW); //if fails try default,maybe it'll work
			return 0;
		}

		if(RegQueryValueEx(hkey,NULL,NULL,NULL,(unsigned char*)path,&size)!=ERROR_SUCCESS){
		
			WinExec("c:\\program files\\winamp\\winamp.exe",SW_SHOW); //if fails try default,maybe it'll work
			return 0;
		}
		
		RegCloseKey(hkey);
		
		wsprintf(winamp_path,"%s\\winamp.exe",path);
		WinExec(winamp_path,SW_SHOW); // WinExec is obsolete, i know :]
	}


	return 0;
}



